#!/bin/bash

input=$1
output=$2
sharedir=$3



if [[ $# != 3  ]]
then
    echo "$0 <inputimag> <outputdump> <bindir>"
    echo "input must be png or pgm"
    exit 1
fi

t1=`mktemp`
t2=`mktemp`


echo "MSER > $t1"
$sharedir/mser.ln -i $input -t 2 -o $t1

echo "CD > $t2"
$sharedir/compute_descriptors.ln -i $input -gloh -p1 $t1 -o1 $t2



echo "TO > $output"
echo "" > $output



echo "Generic_id xpos ypos a b c descr1 descr2 descr3 descr4 descr5 descr6 descr7 descr8 descr9 descr10 descr11 descr12 descr13 descr14 descr15 descr16 descr17 descr18 descr19 descr20 descr21 descr22 descr23 descr24 descr25 descr26 descr27 descr28 descr29 descr30 descr31 descr32 descr33 descr34 descr35 descr36 descr37 descr38 descr39 descr40 descr41 descr42 descr43 descr44 descr45 descr46 descr47 descr48 descr49 descr50 descr51 descr52 descr53 descr54 descr55 descr56 descr57 descr58 descr59 descr60 descr61 descr62 descr63 descr64 descr65 descr66 descr67 descr68 descr69 descr70 descr71 descr72 descr73 descr74 descr75 descr76 descr77 descr78 descr79 descr80 descr81 descr82 descr83 descr84 descr85 descr86 descr87 descr88 descr89 descr90 descr91 descr92 descr93 descr94 descr95 descr96 descr97 descr98 descr99 descr100 descr101 descr102 descr103 descr104 descr105 descr106 descr107 descr108 descr109 descr110 descr111 descr112 descr113 descr114 descr115 descr116 descr117 descr118 descr119 descr120 descr121 descr122 descr123 descr124 descr125 descr126 descr127 descr128" > $output



# The following script deletes the first two lines (sed) and then uses
# awk to print '-1', xpos, ypos, '0', '0', and then the descriptor.
cat $t2 | sed '1 d;2 d' | awk '{ printf("-1 %s %s", $1, $2)
for (i=3; i<134; i++) printf(" %s", $i)
printf"\n" }' >> $output


rm -f $t1
rm -f $t2
